Skip to main content
`Ctrl`+`K`

# BVCreateFromMat

Creates a basis vectors object from a dense `Mat` object.

## Synopsis

    #include "slepcbv.h"
    PetscErrorCode BVCreateFromMat(Mat A,BV *bv)

Collective

## Input Parameter

- A - a dense tall-skinny matrix

## Output Parameter

- bv - the new basis vectors context

## Notes

The matrix values are copied to the `BV` data storage, memory is not shared.

The communicator of the `BV` object will be the same as `A`, and so will be the dimensions.

## See Also

BV: Basis Vectors, `BVCreate()`, `BVDestroy()`, `BVCreateMat()`

## Level

intermediate

## Location

src/sys/classes/bv/interface/bvfunc.c

Index of all BV routines Table of Contents for all manual pages Index of all manual pages